PETSc version 3.17.4
Fix/Edit manual page

# MatDenseCUDAGetArrayWrite

Provides write access to the CUDA buffer inside a dense matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseCUDAGetArrayWrite(Mat A, PetscScalar **a)

Not Collective

### Input Parameters

| A | - the matrix

Output Parameters

| array | - the GPU array in column major order

### Notes

The data on the GPU may not be updated due to operations done on the CPU. If you need updated data, use MatDenseCUDAGetArray(). The array must be restored with MatDenseCUDARestoreArrayWrite() when no longer needed.

### See Also

MatDenseCUDAGetArray(), MatDenseCUDARestoreArray(), MatDenseCUDARestoreArrayWrite(), MatDenseCUDAGetArrayRead(), MatDenseCUDARestoreArrayRead()

### Level

developer

### Location

src/mat/impls/dense/mpi/mpidense.c

### Implementations

MatDenseCUDAGetArrayWrite_MPIDenseCUDA in src/mat/impls/dense/mpi/mpidense.c
MatDenseCUDAGetArrayWrite_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages